package com.szpg.plc.message.command.write;

import com.szpg.plc.message.AppMessageConstants;
import com.szpg.plc.message.command.WriteMemoryCommand;
import com.szpg.plc.message.response.WriteMemoryCommandResponse;

public class SetFjOffBitCommand extends WriteMemoryCommand {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 2115681907959419460L;
	
	public final static int FJ_OFF_ENABLE = 1; //风机停止
	public final static int FJ_OFF_DISABLE = 0;
	
	private int fjoff;

	public int getFjoff() {
		return fjoff;
	}

	public void setFjoff(int fjoff) {
		this.fjoff = fjoff;
	}

	@Override
	public String getCommandType() {
		return AppMessageConstants.CMD_TYPE_SETFJOFF;
	}

	@Override
	public Class<WriteMemoryCommandResponse> getResponseClass() {
		return WriteMemoryCommandResponse.class;
	}

	@Override
	public String toString() {
		return "向终端[" + getDestinationId() + "]发送设置风机停止位命令[" + fjoff + "]";
	}
}
